#ifndef CLUB_H_INCLUDED
#define CLUB_H_INCLUDED 1

class Club
{
private:
	static const double DEF_SLOPE;
	static const double SCALE;

	int hClub;		// handle to the club call list
	int hTexture;	// handle to the club texture
	double slope_;

public:
	Club(double slope = DEF_SLOPE);
	~Club();

	void initializeGraphics();
	void draw();

	const double	slope() const	{return slope_;}
};

#endif // CLUB_H_INCLUDED